-- 各个平台需要服务端做的上报的总入口
-- 以后所有需要的上报逻辑都放在这里 
-- QQ页游		- 登录创角充值退出 （充值因为历史原因 发货php做了）
-- 方块玩微信	- 登录创角充值

local Config = require("Config")
local Json = require("common.Json")
local Define = require("platform.Define")
local CommonDefine = require("common.CommonDefine")
local PfLogic = require("platform.PfLogic")
local InnerMsg = require("core.InnerMsg")
--local Report = require("platform.Report")
local ReportFKW = require("platform.ReportFKW")
local ReportHWWD = require("platform.ReportHWWD")
local ReportKor = require("platform.ReportKor")
local ReportQQ = require("platform.ReportQQ")
local ReportOnline = require("platform.ReportOnline")
local FanliLogic = require("platform.FanliLogic")

function login(human)
	--Report.login(human) -- QQ页游
	ReportFKW.login(human) -- 方块玩
	ReportHWWD.login(human)  -- 海外微端
	ReportQQ.login(human)	--QQ 大厅和空间
	ReportOnline.onLogin(human)
    FanliLogic.setFanLi(human)
end

function create(human)
	ReportQQ.create(human)	--QQ 大厅和空间
end

function register(human)
	ReportFKW.register(human) -- 方块玩
	ReportHWWD.register(human)  -- 海外微端
	ReportQQ.register(human)	--QQ 大厅和空间
end

function charge(human, orderInfo) -- oderID 订单号 amount 钱数量 注意平台不同这里可能单位不同
	ReportFKW.charge(human, orderInfo.orderID, orderInfo.amount) -- 方块玩
	ReportHWWD.charge(human, orderInfo.orderID, orderInfo.amount) -- 海外微端
    ReportKor.charge(human, orderInfo) -- 韩国渠道
end

function quit(human,code)
	--Report.quit(human,code) -- QQ页游
	ReportQQ.quit(human)	--QQ 大厅和空间
end